CVE-2014-4671

MEDIUM

Description

Adobe Flash Player before 13.0.0.231 and 14.x before 14.0.0.145 on Windows and OS X and before 11.2.202.394 on Linux, Adobe AIR before 14.0.0.137 on Android, Adobe AIR SDK before 14.0.0.137, and Adobe AIR SDK & Compiler before 14.0.0.137 do not properly restrict the SWF file format, which allows remote attackers to conduct cross-site request forgery (CSRF) attacks against JSONP endpoints, and obtain sensitive information, via a crafted OBJECT element with SWF content satisfying the character-set requirements of a callback API.

References

http://helpx.adobe.com/security/products/flash-player/apsb14-17.html

http://miki.it/blog/2014/7/8/abusing-jsonp-with-rosetta-flash/

http://rhn.redhat.com/errata/RHSA-2014-0860.html

http://secunia.com/advisories/59774

http://secunia.com/advisories/59837

http://security.gentoo.org/glsa/glsa-201407-02.xml

http://www.securityfocus.com/bid/68457

http://www.securitytracker.com/id/1030533

Details

Source: MITRE

Published: 2014-07-09

Updated: 2015-09-22

Type: CWE-352

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM